Bug 1816179 - Missing dependency 'python3-pyopengl' for 'gnuradio-3.8.0.0-5' on CentOS8
Summary: Missing dependency 'python3-pyopengl' for 'gnuradio-3.8.0.0-5' on CentOS8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: gnuradio
Version: epel8
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-23 13:54 UTC by daniel.sherwood
Modified: 2020-04-08 00:35 UTC (History)
3 users (show)

Fixed In Version: gnuradio-3.8.0.0-6.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-08 00:35:45 UTC
Type: Bug


Attachments (Terms of Use)

Description daniel.sherwood 2020-03-23 13:54:35 UTC
Description of problem:
Missing dependency 'python3-pyopengl' for 'gnuradio-3.8.0.0-5'.

Version-Release number of selected component (if applicable):
gnuradio-3.8.0.0-5.el8.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. yum install epel-release
2. yum install gnuradio

Actual results:
yum install gnuradio
Last metadata expiration check: 0:02:20 ago on Mon Mar 23 13:51:19 2020.
Error:
 Problem: conflicting requests
  - nothing provides python3-pyopengl needed by gnuradio-3.8.0.0-5.el8.x86_64
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)


Expected results:
gnuradio installed

Additional info:

Comment 1 Jaroslav Škarvada 2020-03-23 17:45:31 UTC
I will temporally drop the requirement, but it will reintroduce the bug 1049770 on EPEL-8. The best solution is to package the python3-pyopengl to EPEL-8, but I don't want to maintain it.

Comment 2 Fedora Update System 2020-03-23 21:59:55 UTC
FEDORA-EPEL-2020-1c2eb314d9 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-1c2eb314d9

Comment 3 Fedora Update System 2020-03-24 00:56:20 UTC
FEDORA-EPEL-2020-1c2eb314d9 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-1c2eb314d9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 daniel.sherwood 2020-03-24 10:17:38 UTC
Thanks - that installs fine now.  It should be noted however that the 'grcc' command appears to have dependencies on 'python3-six' and 'python3-mako' that are not installed by dfeault.

Comment 5 Jaroslav Škarvada 2020-03-24 19:17:58 UTC
(In reply to daniel.sherwood from comment #4)
> Thanks - that installs fine now.  It should be noted however that the 'grcc'
> command appears to have dependencies on 'python3-six' and 'python3-mako'
> that are not installed by dfeault.

Added, but gnuradio rebuilt in Fedora is blocked by gcc bug 1816760.

Comment 6 Jaroslav Škarvada 2020-03-30 21:02:30 UTC
(In reply to Jaroslav Škarvada from comment #5)
> (In reply to daniel.sherwood from comment #4)
> > Thanks - that installs fine now.  It should be noted however that the 'grcc'
> > command appears to have dependencies on 'python3-six' and 'python3-mako'
> > that are not installed by dfeault.
> 
> Added, but gnuradio rebuilt in Fedora is blocked by gcc bug 1816760.

Finally, rebuilt in rawhide.

Comment 7 Fedora Update System 2020-04-08 00:35:45 UTC
FEDORA-EPEL-2020-1c2eb314d9 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.